チケット #517 (closed 新機能・拡張: fixed)

登録: 12 年 前

最終更新: 11 年 前

im-Jssp RPCの統合

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp バージョン: 0.1.2
キーワード: 関係者:

チケットの概要 (最終更新者: shinomiya)

im-Jssp RPCを統合します。

あわせて以下の変更も行います。

  • 通信エラー発生時のエラー内容伝達方法の修正。
    • 同期=例外スロー
    • 非同期=エラー用コールバック関数
  • CSJSライブラリの追加を自動化
    • 任意設定も可能。

  • サンプルの修正
    • 同期通信の場合、try/catchで囲む。
    • 非同期通信の場合、エラー用コールバック関数を利用するサンプルに変更。
      • サンプル「ファイルの表示(=sample/jssp_rpc/display_file/display_file_main.html)」は、
        「サーバサイドで作成している結果オブジェクト」「JSSP-RPC 通信エラーオブジェクト」が紛らわしい。
    • CSJSライブラリを明示的に追加している箇所を削除。
    • サンプル「オブジェクトの送受信」で Session.invalidate() を利用しないように修正。
      • sample/jssp_rpc/send_object/server_side_logic/time_machine.js

チケットの履歴

2007/09/14 19:25:00 更新者:shinomiya

  • 説明 が更新されました。

2007/09/25 21:38:20 更新者:shinomiya

  • 説明 が更新されました。

2007/09/25 21:58:07 更新者:shinomiya

  • 説明 が更新されました。

2007/09/26 16:22:10 更新者:shinomiya

  • ステータスnew から assigned に更新されました。

以下を修正しました。[115][116][117]

  • 通信エラー発生時のエラー内容伝達方法の修正。
  • CSJSライブラリの追加を自動化

テスト内容覚書

  • JSSP-RPC通信エラーが発生する場合の処理(同期 or 非同期)
    • Debug.browse()のレスポンス
    • ImAjaxUtil#setErrorResponseHeaders?()を明示的に行った場合のレスポンス
      • → エラーコード&メッセージがレスポンスヘッダに付与されていること
    • JSの構文エラー発生時のレスポンス
      • → httpStatus=500としてエラーとなること
  • CSJSのロード(<script>タグ)がページ内で一回だけ行われていること。
  • JSSP-RPCの拡張子変更(web.xmlも修正必要)
  • SSJS「im_json.js」のパスを変更
  • アンマーシャル失敗時の処理
    • → 例外スロー
    • → 空の引数渡してそのまま処理続行
  • マーシャル用スクリプトをキャッシュ
    • ON (=true)
    • OFF(=false)
  • マーシャル用関数名の設定変更
  • CSJSのパスを設定可能
    • 明示的に設定
    • デフォルト値
  • APIリストのサンプルコードがコピー&ペーストで動作する

2007/10/16 18:28:21 更新者:shinomiya

Cookieが使えない場合、セッションが維持できない問題を修正しました。
チェンジセット [135]

2008/09/04 21:54:56 更新者:shinomiya

[317] im_jssp_rpc.jsやjson.jsの明示的インクルードは不要になったので削除
あわせて、language="javascript"からtype="text/javascript"に変更

2008/09/04 22:55:27 更新者:shinomiya

  • ステータスassigned から closed に更新されました。
  • 解決方法fixed に更新されました。

2008/09/05 14:55:19 更新者:shinomiya

  • コンポーネントim-jssp-extention から im-jssp に更新されました。